Name:          azure-storage-java
Version:       4.4.0
Release:       1%{?dist}
Summary:       Java Storage Client Library
License:       ASL 2.0
URL:           https://github.com/Azure/azure-storage-java
Source0:       https://github.com/Azure/azure-storage-java/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(com.microsoft.azure:azure-keyvault-core)
BuildRequires: mvn(com.microsoft.azure:azure-keyvault-extensions)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)

BuildArch:     noarch

%description
This project provides a client library in Java
that makes it easy to consume Microsoft Azure
Storage services. For documentation please see the
Microsoft Azure Java Developer Center and the JavaDoc.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

mv BreakingChanges.txt BreakingChanges.txt.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 BreakingChanges.txt.iso8859-1 > BreakingChanges.txt
rm BreakingChanges.txt.iso8859-1

%mvn_file :azure-storage azure-storage

%build

# Test skipped URISyntaxException: Malformed IPv6 address at index 8: http://[ACCOUNT].blob.core.windows.net
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc BreakingChanges.txt ChangeLog.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Sep 04 2016 gil cattaneo <puntogil@libero.it> 4.4.0-1
- update to 4.4.0

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 4.0.0-1
- initial rpm
